# @summary Returns the server address for the the specified pool and key.
#
# @param pool
#   The pool to use. See params.pp for values.
#
# @param pool_key
#   The key in the hash to use for the pool's address.  See params.pp for valid values.
#
function mine::get_pool_server(String $pool, String $pool_key) {
  case $pool {
    'ethermine' : {
      $return_pool = $mine::ethermine_servers[$pool_key]
    }
    'flypool' : {
      $return_pool = $mine::flypool_servers[$pool_key]
    }
    'nanopool' : {
      $return_pool = $mine::nanopool_servers[$pool_key]
    }
    'ravenminer' : {
      $return_pool = $mine::ravenminer_servers[$pool_key]
    }
    default : {
      $return_pool = $mine::ethermine_servers[$pool_key]
    }
  }
}
