# @summary Configures the mining software and system services.
#
class mine::config {
  if $mine::coin {
    $pool_server = mine::get_pool_server($mine::pool, $mine::pool_key)
    $args        = mine::get_miner_config($mine::coin,$mine::miner,$pool_server,$mine::wallet,$mine::worker_name,$mine::email)
  }

  file { $mine::mining_command:
    ensure  => file,
    mode    => '0755',
    owner   => $mine::miner_user,
    group   => $mine::miner_user,
    content => epp('mine/mine.bash', {
        runners_dir => $mine::runners_dir,
        coin        => $mine::coin,
        miner       => $mine::miner,
        args        => $args,
    }),
  }

  # install the system service.
  systemd::unit_file { 'mine.service':
    enable  => true,
    active  => true,
    content => epp('mine/mine.service.epp',
      {
        user         => $mine::miner_user,
        root_dir     => $mine::root_dir,
        mine_command => $mine::mining_command,
      }
    ),
    require => File[$mine::mining_command],
  }
}
