# @summary installs the mining software.
#
class mine::install {
  # create the root directory for all the mining software and configuration.
  file { [$mine::root_dir,$mine::miners_dir,$mine::runners_dir]:
    ensure => directory,
    owner  => $mine::miner_user,
    group  => $mine::miner_user,
  }

  # install runners
  file { "${mine::runners_dir}/ethereum.bash":
    ensure  => file,
    mode    => '0755',
    owner   => $mine::miner_user,
    group   => $mine::miner_user,
    content => epp('mine/runners/ethereum.bash.epp', {
        miners_dir => $mine::miners_dir,
    }),
    require => File[$mine::runners_dir],
  }
  file { "${mine::runners_dir}/ravencoin.bash":
    ensure  => file,
    mode    => '0755',
    owner   => $mine::miner_user,
    group   => $mine::miner_user,
    content => epp('mine/runners/ravencoin.bash.epp', {
        miners_dir => $mine::miners_dir,
    }),
    require => File[$mine::runners_dir],
  }

  case $mine::miner {
    'nsfminer' : {
      class { 'mine::miners::eth::nsfminer':
        version => $mine::miner_version,
      }
    }
    'kawpowminer' : {
      class { 'mine::miners::ravencoin::kawpowminer':
        version      => $mine::miner_version,
        cuda_version => $mine::cuda_version,
      }
    }
    'trex' : {
      class { 'mine::miners::trex':
        version => $mine::miner_version,
      }
    }
    default : {
      class { 'mine::miners::eth::nsfminer':
        version => $mine::miner_version,
      }
    }
  }
}
