# @summary installs the trex miner
# @see https://trex-miner.com
#
# @param version
#   The version to install.
#
class mine::miners::trex (
  String $version = '0.26.8'
) {
  $miner_root      = "${mine::miners_dir}/trex"
  $miner_downloads = "${miner_root}/downloads"
  $filename        = "t-rex-${version}-linux.tar.gz"
  $url             = "https://trex-miner.com/download/${filename}"

  mine::miner { 'trex':
    url         => $url,
    filename    => $filename,
    version     => $version,
    binary_name => 't-rex',
  }
}
